org.eclipse.emf.cdo.server.hibernate

## Interface IHibernateMappingProvider.Factory

- Enclosing interface:
    IHibernateMappingProvider

      public static interface IHibernateMappingProvider.Factory

  Creates `mapping provider` instances.
  Since:
    2.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IHibernateMappingProvider` | `create(Element config)` Creates a Hibernate mapping provider from the given element of the `cdo-server.xml` configuration file.
    `String` | `getType()` Returns the type of the mapping providers this factory can create.

- - ### Method Detail

    - #### getType

          String getType()

      Returns the type of the mapping providers this factory can create.

    - #### create

          IHibernateMappingProvider create(Element config)

      Creates a Hibernate mapping provider from the given element of the `cdo-server.xml` configuration file.

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html